# ocxtools
> ### A python CLI to work with 3Docx models.

``ocxtools`` is a configurable Python CLI shell with pluggable subcommands. The CLI combines features from [``click``](https://click.palletsprojects.com/en/8.1.x/),
[``click-shell``](https://click-shell.readthedocs.io/en/latest/), [``typer``](https://typer.tiangolo.com/) and [``Rich``](https://rich.readthedocs.io/en/stable/introduction.html)
with emphasis on **Typer** and **Rich** to make a good-looking CLI.

## Installation

install from pypi:
````commandline
pip install ocxtools
````

# Usage
## The main CLI

````commandline

             ,----..
            /   /   \    ,----..   ,--,     ,--,
           /   .     :  /   /   \  |'. \   / .`|
          .   /   ;.  \|   :     : ; \ `\ /' / ;
         .   ;   /  ` ;.   |  ;. / `. \  /  / .'          ______   ___    ___   _     _____
         ;   |  ; \ ; |.   ; /--`   \  \/  / ./          |      | /   \  /   \ | |   / ___/
         |   :  | ; | ';   | ;       \  \.'  /     _____ |      ||     ||     || |  (   \_
         .   |  ' ' ' :|   : |        \  ;  ;     |     ||_|  |_||  O  ||  O  || |___\__  |
         '   ;  \; /  |.   | '___    / \  \  \    |_____|  |  |  |     ||     ||     /  \ |
          \   \  ',  / '   ; : .'|  ;  /\  \  \            |  |  |     ||     ||     \    |
           ;   :    /  '   | '/  :./__;  \  ;  \           |__|   \___/  \___/ |_____|\___|
            \   \ .'   |   :    / |   : / \  \  ;
             `---`      \   \ .'  ;   |/   \  ' |
                         `---`    `---'     `--`

Version: 1.1.0
Copyright (c) 2024. OCX Consortium (https://3docx.org)

Starting ocxtools...
ocxtools >: help

Documented commands (type help <topic>):
========================================
clear  docker  validate  version

Undocumented commands:
======================
exit  help  quit


ocxtools >:

````
## Shell Completion
Command completion is not supported on Windows installations.

## Sub-commands
### [docker](readme/docker.md)

### [validate](readme/validate.md)

# Changelog
[CHANGELOG.md](changelog.md)

## API

The API documentation is autogenerated using ``sphinx`` and the Read The Docs theme:

https://ocxstandard.github.io/ocxtools/
